io.vertx.groovy.redis

## Class RedisTransaction_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.redis.RedisTransaction_GroovyExtension

-     public class RedisTransaction_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisTransaction_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisTransaction` | `clientKill(RedisTransaction j_receiver, Map<String,Object> filter, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `exec(RedisTransaction j_receiver, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisTransaction` | `geoaddMany(RedisTransaction j_receiver, String key, List<Map<String,Object>> members, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `georadiusbymemberWithOptions(RedisTransaction j_receiver, String key, String member, double radius, GeoUnit unit, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `georadiusWithOptions(RedisTransaction j_receiver, String key, double longitude, double latitude, double radius, GeoUnit unit, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `hmset(RedisTransaction j_receiver, String key, Map<String,Object> values, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `hscan(RedisTransaction j_receiver, String key, String cursor, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `migrate(RedisTransaction j_receiver, String host, int port, String key, int destdb, long timeout, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `mset(RedisTransaction j_receiver, Map<String,Object> keyvals, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `msetnx(RedisTransaction j_receiver, Map<String,Object> keyvals, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `scan(RedisTransaction j_receiver, String cursor, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `setBinaryWithOptions(RedisTransaction j_receiver, String key, Buffer value, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `setWithOptions(RedisTransaction j_receiver, String key, String value, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `smembers(RedisTransaction j_receiver, String key, Handler<AsyncResult<List<Object>>> handler)`
    `static RedisTransaction` | `sort(RedisTransaction j_receiver, String key, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `sscan(RedisTransaction j_receiver, String key, String cursor, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `zrangebylex(RedisTransaction j_receiver, String key, String min, String max, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `zrangebyscore(RedisTransaction j_receiver, String key, String min, String max, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `zrevrangebylex(RedisTransaction j_receiver, String key, String max, String min, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `zrevrangebyscore(RedisTransaction j_receiver, String key, String max, String min, Map<String,Object> options, Handler<AsyncResult<String>> handler)`
    `static RedisTransaction` | `zscan(RedisTransaction j_receiver, String key, String cursor, Map<String,Object> options, Handler<AsyncResult<String>> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedisTransaction_GroovyExtension

          public RedisTransaction_GroovyExtension()

  - ### Method Detail

    - #### clientKill

          public static RedisTransaction clientKill(RedisTransaction j_receiver,
                                                    Map<String,Object> filter,
                                                    Handler<AsyncResult<String>> handler)

    - #### exec

          public static RedisTransaction exec(RedisTransaction j_receiver,
                                              Handler<AsyncResult<List<Object>>> handler)

    - #### hmset

          public static RedisTransaction hmset(RedisTransaction j_receiver,
                                               String key,
                                               Map<String,Object> values,
                                               Handler<AsyncResult<String>> handler)

    - #### migrate

          public static RedisTransaction migrate(RedisTransaction j_receiver,
                                                 String host,
                                                 int port,
                                                 String key,
                                                 int destdb,
                                                 long timeout,
                                                 Map<String,Object> options,
                                                 Handler<AsyncResult<String>> handler)

    - #### mset

          public static RedisTransaction mset(RedisTransaction j_receiver,
                                              Map<String,Object> keyvals,
                                              Handler<AsyncResult<String>> handler)

    - #### msetnx

          public static RedisTransaction msetnx(RedisTransaction j_receiver,
                                                Map<String,Object> keyvals,
                                                Handler<AsyncResult<String>> handler)

    - #### setWithOptions

          public static RedisTransaction setWithOptions(RedisTransaction j_receiver,
                                                        String key,
                                                        String value,
                                                        Map<String,Object> options,
                                                        Handler<AsyncResult<String>> handler)

    - #### setBinaryWithOptions

          public static RedisTransaction setBinaryWithOptions(RedisTransaction j_receiver,
                                                              String key,
                                                              Buffer value,
                                                              Map<String,Object> options,
                                                              Handler<AsyncResult<String>> handler)

    - #### smembers

          public static RedisTransaction smembers(RedisTransaction j_receiver,
                                                  String key,
                                                  Handler<AsyncResult<List<Object>>> handler)

    - #### sort

          public static RedisTransaction sort(RedisTransaction j_receiver,
                                              String key,
                                              Map<String,Object> options,
                                              Handler<AsyncResult<String>> handler)

    - #### zrangebylex

          public static RedisTransaction zrangebylex(RedisTransaction j_receiver,
                                                     String key,
                                                     String min,
                                                     String max,
                                                     Map<String,Object> options,
                                                     Handler<AsyncResult<String>> handler)

    - #### zrangebyscore

          public static RedisTransaction zrangebyscore(RedisTransaction j_receiver,
                                                       String key,
                                                       String min,
                                                       String max,
                                                       Map<String,Object> options,
                                                       Handler<AsyncResult<String>> handler)

    - #### zrevrangebylex

          public static RedisTransaction zrevrangebylex(RedisTransaction j_receiver,
                                                        String key,
                                                        String max,
                                                        String min,
                                                        Map<String,Object> options,
                                                        Handler<AsyncResult<String>> handler)

    - #### zrevrangebyscore

          public static RedisTransaction zrevrangebyscore(RedisTransaction j_receiver,
                                                          String key,
                                                          String max,
                                                          String min,
                                                          Map<String,Object> options,
                                                          Handler<AsyncResult<String>> handler)

    - #### scan

          public static RedisTransaction scan(RedisTransaction j_receiver,
                                              String cursor,
                                              Map<String,Object> options,
                                              Handler<AsyncResult<String>> handler)

    - #### sscan

          public static RedisTransaction sscan(RedisTransaction j_receiver,
                                               String key,
                                               String cursor,
                                               Map<String,Object> options,
                                               Handler<AsyncResult<String>> handler)

    - #### hscan

          public static RedisTransaction hscan(RedisTransaction j_receiver,
                                               String key,
                                               String cursor,
                                               Map<String,Object> options,
                                               Handler<AsyncResult<String>> handler)

    - #### zscan

          public static RedisTransaction zscan(RedisTransaction j_receiver,
                                               String key,
                                               String cursor,
                                               Map<String,Object> options,
                                               Handler<AsyncResult<String>> handler)

    - #### geoaddMany

          public static RedisTransaction geoaddMany(RedisTransaction j_receiver,
                                                    String key,
                                                    List<Map<String,Object>> members,
                                                    Handler<AsyncResult<String>> handler)

    - #### georadiusWithOptions

          public static RedisTransaction georadiusWithOptions(RedisTransaction j_receiver,
                                                              String key,
                                                              double longitude,
                                                              double latitude,
                                                              double radius,
                                                              GeoUnit unit,
                                                              Map<String,Object> options,
                                                              Handler<AsyncResult<String>> handler)

    - #### georadiusbymemberWithOptions

          public static RedisTransaction georadiusbymemberWithOptions(RedisTransaction j_receiver,
                                                                      String key,
                                                                      String member,
                                                                      double radius,
                                                                      GeoUnit unit,
                                                                      Map<String,Object> options,
                                                                      Handler<AsyncResult<String>> handler)

Copyright © 2017. All rights reserved.